Blame python-fabric-Use-standard-library-unittest.mock-on-Python-3.6-and.patch

4bbc54a
From ff0ab88e88e950bbec9facbc8453238f14e84dcd Mon Sep 17 00:00:00 2001
4bbc54a
From: "Benjamin A. Beasley" <code@musicinmybrain.net>
4bbc54a
Date: Thu, 3 Jun 2021 19:28:59 -0400
4bbc54a
Subject: [PATCH 1/3] Use standard library unittest.mock on Python 3.6 and
4bbc54a
 later
4bbc54a
4bbc54a
---
4bbc54a
 setup.py | 6 +++++-
4bbc54a
 1 file changed, 5 insertions(+), 1 deletion(-)
4bbc54a
4bbc54a
diff --git a/setup.py b/setup.py
4bbc54a
index a8126b5a..7ae2e27b 100644
4bbc54a
--- a/setup.py
4bbc54a
+++ b/setup.py
4bbc54a
@@ -67,7 +67,11 @@ setuptools.setup(
4bbc54a
     author="Jeff Forcier",
4bbc54a
     author_email="jeff@bitprophet.org",
4bbc54a
     url="http://fabfile.org",
4bbc54a
-    install_requires=["invoke>=1.3,<2.0", "paramiko>=2.4", "pathlib2"],
4bbc54a
+    install_requires=[
4bbc54a
+        "invoke>=1.3,<2.0",
4bbc54a
+        "paramiko>=2.4",
4bbc54a
+        'pathlib2; python_version < "3.4"',
4bbc54a
+    ],
4bbc54a
     extras_require={
4bbc54a
         "testing": testing_deps,
4bbc54a
         "pytest": testing_deps + pytest_deps,
4bbc54a
-- 
4bbc54a
2.31.1
4bbc54a